Bug 152956 - IllegalStateException: Should not acquire Children.MUTEX while holding ProjectManager.mutex()
IllegalStateException: Should not acquire Children.MUTEX while holding Projec...
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: visualweb
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: Peter Zavadsky
issues@obsolete
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 13:57 UTC by rmichalsky
Modified: 2009-02-19 23:23 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rmichalsky 2008-11-11 13:57:53 UTC
Possible source of deadlocks.
Comment 1 rmichalsky 2008-11-11 14:01:56 UTC
Another ex. report: http://statistics.netbeans.org/exceptions/detail.do?id=138272
Comment 2 Peter Zavadsky 2008-11-18 17:34:12 UTC
Probably the changing of the children nodes for ThemesFolderNode could be scheduled to later task. Investigating.
Comment 3 Peter Zavadsky 2008-11-18 21:03:38 UTC
Fixed:

changeset:   108298:041ee2c70889
tag:         tip
user:        Peter Zavadsky <pzavadsky@netbeans.org>
date:        Tue Nov 18 11:14:17 2008 -0800
summary:     #152956 Fixing acquiring Children.MUTEX after ProjectManager.mutex().
Comment 4 Quality Engineering 2008-11-19 16:43:09 UTC
Integrated into 'main-golden', will be available in build *200811191401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/041ee2c70889
User: Peter Zavadsky <pzavadsky@netbeans.org>
Log: #152956 Fixing acquiring Children.MUTEX after ProjectManager.mutex().


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo